org.apache.cassandra.db.commitlog

## Class CommitLogSegmentReader.SegmentReadException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - org.apache.cassandra.db.commitlog.CommitLogSegmentReader.SegmentReadException

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  CommitLogSegmentReader

    public static class CommitLogSegmentReader.SegmentReadException
    extends java.io.IOException

See Also:
  Serialized Form

### Field Summary

Fields
`boolean` `invalidCrc`

### Constructor Summary

Constructors
Constructor and Description
`SegmentReadException(java.lang.String msg, boolean invalidCrc)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### invalidCrc

    public final boolean invalidCrc

### Constructor Detail

#### SegmentReadException

    public SegmentReadException(java.lang.String msg,
                                boolean invalidCrc)